<div class="container" [class.is-mobile]="mobileQuery.matches">
    <mat-toolbar color="primary" class="toolbar">
        <div class="content-left">
            <button mat-icon-button (click)="snav.toggle()"><mat-icon>menu</mat-icon></button>
            <h1 class="app-name">Employee Management System</h1>
        </div>
        <div class="content-right">
            <button mat-flat-button color="primary" (click)="handleLogout()">Logout</button>
        </div>
    </mat-toolbar>
    <mat-sidenav-container class="sidenav-container" [style.marginTop.px]="mobileQuery.matches ? 56 : 0">
        <mat-sidenav #snav [mode]="mobileQuery.matches ? 'over' : 'side'" [fixedInViewport]="mobileQuery.matches"
            fixedTopGap="56">
            <mat-nav-list class="menu-wrapper">
                <span class="title">Menu</span>
                <mat-divider></mat-divider>
                <a mat-list-item [routerLink]="['employeeList']">Employee List</a>
            </mat-nav-list>
        </mat-sidenav>
        <mat-sidenav-content>
            <div class="content">
                <router-outlet></router-outlet>
            </div>
        </mat-sidenav-content>
    </mat-sidenav-container>
</div>